summaryrefslogtreecommitdiff
path: root/dev-python/webob
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-15 11:57:34 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-15 11:57:34 +0000
commit138976658758b93a17ac984aac6795c177573feb (patch)
treeccccdb7860e7b10226276be4d0dfe9cfea6227b0 /dev-python/webob
parentcc19539547f0583125398ff68f966c500ac6b230 (diff)
downloadbaldeagleos-repo-138976658758b93a17ac984aac6795c177573feb.tar.gz
baldeagleos-repo-138976658758b93a17ac984aac6795c177573feb.tar.xz
baldeagleos-repo-138976658758b93a17ac984aac6795c177573feb.zip
Adding metadata
Diffstat (limited to 'dev-python/webob')
-rw-r--r--dev-python/webob/webob-1.8.7-r2.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/webob/webob-1.8.7-r2.ebuild b/dev-python/webob/webob-1.8.7-r2.ebuild
new file mode 100644
index 000000000000..f5e124bcff56
--- /dev/null
+++ b/dev-python/webob/webob-1.8.7-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN="WebOb"
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="WSGI request and response object"
+HOMEPAGE="
+ https://webob.org/
+ https://github.com/Pylons/webob/
+ https://pypi.org/project/WebOb/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/legacy-cgi[${PYTHON_USEDEP}]
+ ' 3.13)
+"
+
+distutils_enable_sphinx docs 'dev-python/alabaster'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # py3.9
+ sed -i -e 's:isAlive:is_alive:' tests/conftest.py || die
+ distutils-r1_src_prepare
+}